import axios from 'axios'
import { Request } from 'web_notebook-test1';

let version = 'v1'
let path = {
  // 开发
  development: `http://192.168.10.200:8020/upaLogs`,
  // 200
  lan: `http://192.168.10.200:8009/projectName/${version}`,
  // 测试
  pred: `https://dtgateway.allhome.com.cn/projectName/${version}`,
  // 线上
  production: `https://gateway.allhome.com.cn/projectName/${version}`
}


// 组件库封装之后的请求
const request = new Request({
  baseURL: path[process.env.NODE_ENV],
  timeout: 60000,
}, process.env.NODE_ENV, 'web_log_test');

// token
const devToken = 'L2bhC0FyEWXo9zkt6mQ15lMzsSgS3dR/V+w5iWSiMmG0H0t1pL9lr4o+nSKXhjOm9qT+UrXqbLUpiWmITwS1q6TPmZvSumEkoEzpYFr0ylbxHafk+uE8yvK9OWiYl9WEH/JdnMw2LVnVYur7LOe/r57MMxw4e/NxGKPo07pqgn8=';
const token = window.token? window.token: (window.token = devToken);

// 设置拦截器
request.interceptors({
  request: config => {
    config.headers.token = token;
    return config
  },
  response: res => {
    let {message, result, statusCode} = res.data
    //  退出登录状态码
    let logoutCodes = new Set([435001, 435011, 436050])
    if (statusCode === 1000) {
      //  更新全局token
      let {pragma} = res.headers
      if (pragma) window.token = pragma
      //  返回数据
      return result
    } else if (logoutCodes.has(statusCode)) {
      setTimeout(() => window.logout(), 1000)
      return Promise.reject({message})
    } else {
      return Promise.reject({message,statusCode})
    }
  },
  error: error =>  Promise.reject(error.response.data),
})

export default request;